# Generated from ergomentum_rubocop-0.5.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ergomentum_rubocop

Name: rubygem-%{gem_name}
Version: 0.5.0
Release: 1%{?dist}
Summary: Ergomentum RuboCop
License: Nonstandard
URL: https://www.ergomentum.de/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.0.0
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(test-prof)
# BuildRequires: rubygem(webmock)
BuildArch: noarch

%description
RuboCop style checking for Ergomentum projects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/ergomentum_rubocop.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.5.0-1
- Initial package
